GET
https://api.cryptohopper.com/v1/market/strategies/{strategy_id}/review
Meant to return the reviews of a strategy. The reviews are included in GET /market/strategies/{strategy_id}.
OAuth scope:
read manage About scopes
In the current code this request does not list reviews: it goes to the same handler as posting a review, and this request is always rejected with a 400 error "Incorrect market item type.": the handler passes an item type variable that is never set.
Example request
curl "https://api.cryptohopper.com/v1/market/strategies/STRATEGY_ID/review" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/market/strategies/STRATEGY_ID/review', {
method: 'GET',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api.cryptohopper.com/v1/market/strategies/STRATEGY_ID/review",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/market/strategies/STRATEGY_ID/review');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
strategy_id |
string | Required | Marketplace item ID of the strategy. |